PostZen
Analytics

Get the best times to post

GET
/v1/analytics/best-time

Coming soon — Analytics endpoints are being rolled out and may return empty data until the rollout completes.

Returns historical engagement slots grouped by UTC day of week and hour, ordered by average engagement descending.

Authorization

bearerAuth
AuthorizationBearer <token>

PostZen API key.

In: header

Query Parameters

platform?string

Filter by platform.

profileId?string

Filter by PostZen profile id.

accountId?string

Filter by connected social account id.

source?string

Filter by PostZen-published or externally imported posts.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/analytics/best-time"
{  "slots": [    {      "day_of_week": 0,      "hour": 0,      "avg_engagement": 0,      "post_count": 0    }  ]}
{  "error": "JSON body is required"}
{  "error": "Unauthorized"}
{  "error": "string"}
{  "error": "API key requires read_write permission"}
{  "error": "Not found"}
{  "error": "rate_limited",  "retryAfter": 30}
{  "error": "Failed to create post"}